/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package be.iminds.ilabt.jfed.experimenter_gui.editor.ontology.model;

/**
 *
 * @author Patrick
 */
public class CustomControl {

    private String query = "";
    private String name;
    private String type;

    public String getQuery() {
        return query;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setupQuery(String value){
        if (type == null)
            query = "(" + name + " value " + value + ")";
        else
            query = "(" + name + " value \"" + value + "\"^^xsd:" + type + ")";
    }

    public void setupQuery(String min, String max){
        query = "(" + name + " some " + type + "[>= " + min + ", <= " + max +"])";
    }

    public void setupMinQuery(String min){
        query = "(" + name + " some " + type + "[>= " + min + "])";
    }

    public void setupMaxQuery(String max){
        query = "(" + name + " some " + type + "[<= " + max + "])";
    }

    public void clearQuery(){
        query = "";
    }
}
